# disable find_requires as it generate incorrect require on
# pear(Renameuser/SpecialRenameuser_body.php)
%define __find_requires %{nil}

%define mediawiki_extensions %{_datadir}/mediawiki/extensions
%define oname LdapAuthentication
%define mwikiver 1.20
%define reltag 11
%define gitsnap 07fe5c5

Name:		mediawiki-ldapauthentication
Summary:	Mediawiki extension to do ldap authentication
Version:	2.0c
Release:	%mkrel 1
URL:		http://www.mediawiki.org/wiki/Extension:LDAP_Authentication
# from https://codeload.github.com/wikimedia/mediawiki-extensions-LdapAuthentication/legacy.tar.gz/REL1_20
Source0:	wikimedia-mediawiki-extensions-LdapAuthentication-%{version}-%{reltag}-g%{gitsnap}.tar.gz
Source1:	mw-addLdapAuthenticationextensionToInstances.in

License:	GPLv2+
Requires:	mediawiki >= %{mwikiver}
Requires:	php-ldap
Group:		System/Servers
BuildArch:	noarch

%description
This plugin should be scalable for use in small to large organizations,
and provides the following functionality:

    Single and multi domain authentication (including local database)
        Simple bind authentication
        Proxy bind authentication
        Smartcard/CAC/PKI Soft Certificate authentication
        Kerberos authentication
        SSL/TLS or non-SSL/TLS binding allowed
        Nested/Unnested Group based restriction support
        Filter based restriction support
    Retrieval of user information from LDAP
        Email address
        Real name
        Nickname
        Language
    Synchronization of LDAP groups to MediaWiki security groups
    (LDAP->MediaWiki only)
        Nested group support available in 1.2b+
    Storing preferences in LDAP
        Update passwords
        Mail me a password
        Update all preferences that are currently retrievable
    Creation and modification of users in LDAP

%prep
%setup -q -n wikimedia-mediawiki-extensions-%{oname}-%{gitsnap}/

%install
%{__rm} -Rf %{buildroot}
%{__install} -d %{buildroot}%{mediawiki_extensions}/%{oname}
%{__install} * %{buildroot}%{mediawiki_extensions}/%{oname}
mkdir %{buildroot}%{_sbindir}
sed -e 's,@extensiondir@,%{mediawiki_extensions}/%{oname},g' \
  < %{SOURCE1} > %{buildroot}%{_sbindir}/mediawiki-addLdapAuthenticationextensionToInstances

cat  > README.install.urpmi << EOF
After the installation, you have to run
mediawiki-addLdapAuthenticationextensionToInstances
so the extension is enabled in your wiki instance

For more information, see
http://www.mediawiki.org/wiki/Extension:LdapAuthentication
EOF

%files
%{mediawiki_extensions}/%{oname}
%attr(0700,root,root) %{_sbindir}/mediawiki-addLdapAuthenticationextensionToInstances


%changelog
* Wed Jul 17 2013 luigiwalser <luigiwalser> 2.0c-1.mga3
+ Revision: 455119
- update to version compatible with MediaWiki 1.20 (2.0c)
- fix URL
- do not require renameuser (it is bundled in the mediawiki package)

* Sat Jan 12 2013 umeabot <umeabot> 0-0.108775.5.mga3
+ Revision: 359907
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 08 2012 obgr_seneca <obgr_seneca> 0-0.108775.4.mga3
+ Revision: 290188
- updated so it does work with new mediawiki

* Fri Jun 17 2011 misc <misc> 0-0.61987.3.mga2
+ Revision: 109060
- add requires on php-ldap

* Wed Apr 13 2011 boklm <boklm> 0-0.61987.2.mga1
+ Revision: 84388
- add require on mediawiki-renameuser and disable finde_requires script as it generates incorrect require on pear(Renameuser/SpecialRenameuser_body.php)

* Tue Mar 22 2011 boklm <boklm> 0-0.61987.1.mga1
+ Revision: 75486
- imported package mediawiki-ldapauthentication

